/*-
 * ---license-start
 * Corona-Warn-App / cwa-verification
 * ---
 * Copyright (C) 2020 - 2022 T-Systems International GmbH and all other contributors
 * ---
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ---license-end
 */

package app.coronawarn.verification.client;

import app.coronawarn.verification.model.Certs;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * This class represents the IAM feign client.
 */
@FeignClient(name = "IamService", url = "${jwt.server}")
public interface IamClient {
  /**
   * This method gets the cert information from the IAM Server.
   * @return Testresult from server
   */
  @GetMapping(value = "/auth/realms/cwa/protocol/openid-connect/certs",
    consumes = MediaType.APPLICATION_JSON_VALUE
  )
   Certs certs();
}
